Bug 28745 - Batch item modifications no longer displayed modified items
Summary: Batch item modifications no longer displayed modified items
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Nick Clemens
URL:
Keywords: rel_21_05_candidate
Depends on: 28158
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-23 09:48 UTC by Jonathan Druart
Modified: 2021-08-02 21:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03


Attachments
Bug 28745: (bug 28158 follow-up) Restore the items table once the job is done (19.74 KB, patch)
2021-07-23 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28745: (bug 28158 follow-up) Restore the items table once the job is done (19.79 KB, patch)
2021-07-23 10:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28745: (bug 28158 follow-up) Restore the items table once the job is done (19.85 KB, patch)
2021-07-23 11:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-07-23 09:48:54 UTC
Caused by bug 28158, the batch item modifications tool does not longer display the table with the items that have been modified on the result screen.
Comment 1 Jonathan Druart 2021-07-23 09:51:08 UTC
Created attachment 123094 [details] [review]
Bug 28745: (bug 28158 follow-up) Restore the items table once the job is done

Caused by bug 28158, the batch item modifications tool does not longer
display the table with the items that have been modified on the result screen.

There is no more fork and so no more completedJobID var.
We must process the items THEN build the items' info.

Test plan:
Use the batch item modification tools to modify some items.
Confirm that with this patch the table with the modified items is
displayed on the last screen.
Comment 2 Jonathan Druart 2021-07-23 09:52:17 UTC
QA: Don't be afraid by the size of the size, it's only a swap of the code.
Comment 3 Owen Leonard 2021-07-23 10:35:57 UTC
Created attachment 123095 [details] [review]
Bug 28745: (bug 28158 follow-up) Restore the items table once the job is done

Caused by bug 28158, the batch item modifications tool does not longer
display the table with the items that have been modified on the result screen.

There is no more fork and so no more completedJobID var.
We must process the items THEN build the items' info.

Test plan:
Use the batch item modification tools to modify some items.
Confirm that with this patch the table with the modified items is
displayed on the last screen.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Nick Clemens 2021-07-23 11:08:07 UTC
Created attachment 123098 [details] [review]
Bug 28745: (bug 28158 follow-up) Restore the items table once the job is done

Caused by bug 28158, the batch item modifications tool does not longer
display the table with the items that have been modified on the result screen.

There is no more fork and so no more completedJobID var.
We must process the items THEN build the items' info.

Test plan:
Use the batch item modification tools to modify some items.
Confirm that with this patch the table with the modified items is
displayed on the last screen.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-07-23 13:03:15 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-30 12:12:59 UTC
Pushed to 21.05.x for 21.05.03
Comment 7 Fridolin Somers 2021-08-02 21:44:35 UTC
Depends on Bug 28158 not in 20.11.x